#!/bin/bash
root=$1
ccsid=$2

for f in $(find "$root" -name "*.par"); do
    as400job=$(grep "V_400" "$f" | wc -l)

    if [ $as400job -ge 1 ]; then
        echo "Processing $f"
        have_ccsid=$(grep "V_CCSID" "$f" | wc -l)
        
        if [ $have_ccsid -gt 1 ]; then
            echo "Error: unexpected number of V_CCSID lines!"
        elif [ $have_ccsid -eq 1 ]; then
            echo "Found V_CCSID already defined. Substituting..."
            sed -i "/V_CCSID/c \\\\t\"V_CCSID\" \"$ccsid\"" "$f"
        else
            echo "Inserting V_CCSID"
            sed -i "/V_400/a \\\\t\"V_CCSID\" \"$ccsid\"" "$f"
        fi
    else
        echo "Skipping $f"
    fi
done
